# Verify a User's Altura Guard Code

Use this method to authenticate users with [Altura Guard](broken://pages/ji3Hsh5IwNtkUKhHg256).&#x20;

### Usage in your script

```csharp
AuthenticateUser
  .Initialize(destroyAtEnd: true)
  .SetParams(
    "0x85d...",
    "1d47s"
  )
  .OnError(error => Debug.Log(error))
  .OnComplete(AlturaGuard => Debug.Log(AlturaGuard.authenticated))
  .Run();
```

#### Member Functions

**`.Initialize()`**

<table><thead><tr><th width="193">Parameter</th><th width="80">Type</th><th width="105">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>destroyAtEnd</code></td><td><strong>bool</strong></td><td><strong>Optional</strong></td><td>defines if this component will be destroyed after <code>.Run()</code></td></tr></tbody></table>

**`.SetParameters()`**

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="88">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>wallet_address</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>Unique wallet address of user</td></tr><tr><td><code>altura_guard</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>Altura Guard code.</td></tr></tbody></table>

**`.onError()`**

*Action on Error: returns error information.*

**`.onComplete()`**

*Action on successful: returns* [*`Auth_model`* ](broken://pages/X6BXtARHCyPm4jpigLmp#auth-model)*type.*

**`.Run()`**

*Runs the API call and fills the corresponding model in the component on success.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/unity-sdk-reference/get-methods/verify-a-users-altura-guard-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
